Bug 1134969

Summary: Add support for the Wacom Cintiq Companion
Product: [Fedora] Fedora Reporter: Benjamin Tissoires <btissoir>
Component: kernelAssignee: Benjamin Tissoires <btissoir>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 21CC: gansalmon, itamar, jonathan, kernel-maint, madhu.chinakonda, mchehab
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: kernel-3.16.2-300.fc21 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-09-13 06:50:47 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Attachments:
Description Flags
0001-Input-wacom-add-support-for-the-Cintiq-Companion.patch none

Description Benjamin Tissoires 2014-08-28 14:18:52 UTC
Description of problem:
Wacom Cintiq Companion (not the Hybrid one) simply does not work with Fedora (neither upstream BTW).

Version-Release number of selected component (if applicable):
All (not in upstream yet)

How reproducible:
Install Fedora on a Cintiq Companion, pen and touch do not work.

Actual results:
This just does not work

Expected results:
It should work :)

Additional info:
Patch upstream is on its way (i.e. I have to post it). The sensors are the exact same as the Companion Hybrid, so it is just a matter of duplicating the entry in wacom_wac.c and fixing the correct PID.

Comment 1 Benjamin Tissoires 2014-09-03 19:50:39 UTC
I just posted the patch for the 3.17 series and up on the LKML:
https://patchwork.kernel.org/patch/4836511/

Comment 2 Benjamin Tissoires 2014-09-03 19:51:22 UTC
Created attachment 934213 [details]
0001-Input-wacom-add-support-for-the-Cintiq-Companion.patch

Patch for the 3.16 and previous kernels.

Comment 3 Josh Boyer 2014-09-04 12:50:14 UTC
Thanks for the patches.  I've added them to f20-rawhide.

Comment 4 Fedora Update System 2014-09-06 12:45:56 UTC
kernel-3.16.2-300.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/kernel-3.16.2-300.fc21

Comment 5 Fedora Update System 2014-09-08 16:10:15 UTC
Package kernel-3.16.2-300.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.16.2-300.fc21'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-10312/kernel-3.16.2-300.fc21
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-09-08 16:25:44 UTC
kernel-3.16.2-200.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/kernel-3.16.2-200.fc20

Comment 7 Fedora Update System 2014-09-13 06:50:47 UTC
kernel-3.16.2-200.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2014-09-23 05:00:02 UTC
kernel-3.16.2-300.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.